MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ILayerNode Class Referenceabstract

`#include <MyGUI_ILayerNode.h>`

Inheritance diagram for MyGUI::ILayerNode:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ILayerNode | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
virtual | ~ILayerNode ()
virtual ILayer * | getLayer () const =0
virtual ILayerNode * | getParent () const =0
virtual ILayerNode * | createChildItemNode ()=0
virtual void | destroyChildItemNode (ILayerNode *_node)=0
virtual void | upChildItemNode (ILayerNode *_node)=0
virtual EnumeratorILayerNode | getEnumerator () const =0
virtual size_t | getLayerNodeCount () const =0
virtual ILayerNode * | getLayerNodeAt (size_t _index) const =0
virtual void | attachLayerItem (ILayerItem *_item)=0
virtual void | detachLayerItem (ILayerItem *_root)=0
virtual RenderItem * | addToRenderItem (ITexture *_texture, bool _firstQueue, bool _separate)=0
virtual void | outOfDate (RenderItem *_item)=0
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const =0
virtual void | renderToTarget (IRenderTarget *_target, bool _update)=0
virtual void | resizeView (const IntSize &_viewSize)=0
virtual float | getNodeDepth ()=0
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Detailed Description

Definition at line 27 of file MyGUI_ILayerNode.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::ILayerNode::Base

Definition at line 30 of file MyGUI_ILayerNode.h.

typedef ILayerNode MyGUI::ILayerNode::RTTIBase

Definition at line 30 of file MyGUI_ILayerNode.h.

## Constructor & Destructor Documentation

virtual MyGUI::ILayerNode::~ILayerNode | ( |  | ) |
| inline virtual

Definition at line 33 of file MyGUI_ILayerNode.h.

## Member Function Documentation

virtual RenderItem* MyGUI::ILayerNode::addToRenderItem | ( | ITexture * | _texture,
|  | bool | _firstQueue,
|  | bool | _separate
| ) |  |
| pure virtual

Implemented in MyGUI::LayerNode.

virtual void MyGUI::ILayerNode::attachLayerItem | ( | ILayerItem * | _item | ) |
| pure virtual

Implemented in MyGUI::LayerNode.

virtual ILayerNode* MyGUI::ILayerNode::createChildItemNode | ( |  | ) |
| pure virtual

Implemented in MyGUI::LayerNode.

virtual void MyGUI::ILayerNode::destroyChildItemNode | ( | ILayerNode * | _node | ) |
| pure virtual

Implemented in MyGUI::LayerNode.

virtual void MyGUI::ILayerNode::detachLayerItem | ( | ILayerItem * | _root | ) |
| pure virtual

Implemented in MyGUI::LayerNode.

static const std::string& MyGUI::ILayerNode::getClassTypeName | ( |  | ) |
| inline static

Definition at line 30 of file MyGUI_ILayerNode.h.

virtual EnumeratorILayerNode MyGUI::ILayerNode::getEnumerator | ( |  | ) | const
| pure virtual

Implemented in MyGUI::LayerNode.

virtual ILayer* MyGUI::ILayerNode::getLayer | ( |  | ) | const
| pure virtual

Implemented in MyGUI::LayerNode.

virtual ILayerItem* MyGUI::ILayerNode::getLayerItemByPoint | ( | int | _left,
|  | int | _top
| ) |  | const
| pure virtual

Implemented in MyGUI::LayerNode.

virtual ILayerNode* MyGUI::ILayerNode::getLayerNodeAt | ( | size_t | _index | ) | const
| pure virtual

Implemented in MyGUI::LayerNode.

virtual size_t MyGUI::ILayerNode::getLayerNodeCount | ( |  | ) | const
| pure virtual

Implemented in MyGUI::LayerNode.

virtual float MyGUI::ILayerNode::getNodeDepth | ( |  | ) |
| pure virtual

Implemented in MyGUI::LayerNode.

virtual ILayerNode* MyGUI::ILayerNode::getParent | ( |  | ) | const
| pure virtual

Implemented in MyGUI::LayerNode.

virtual const std::string& MyGUI::ILayerNode::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::LayerNode, and MyGUI::SharedLayerNode.

Definition at line 30 of file MyGUI_ILayerNode.h.

template<typename Type >

bool MyGUI::ILayerNode::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 30 of file MyGUI_ILayerNode.h.

virtual bool MyGUI::ILayerNode::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::LayerNode, and MyGUI::SharedLayerNode.

Definition at line 30 of file MyGUI_ILayerNode.h.

virtual void MyGUI::ILayerNode::outOfDate | ( | RenderItem * | _item | ) |
| pure virtual

Implemented in MyGUI::LayerNode.

virtual void MyGUI::ILayerNode::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update
| ) |  |
| pure virtual

Implemented in MyGUI::LayerNode.

virtual void MyGUI::ILayerNode::resizeView | ( | const IntSize & | _viewSize | ) |
| pure virtual

Implemented in MyGUI::LayerNode.

virtual void MyGUI::ILayerNode::upChildItemNode | ( | ILayerNode * | _node | ) |
| pure virtual

Implemented in MyGUI::LayerNode.

The documentation for this class was generated from the following file:

- MyGUI_ILayerNode.h